curl --request POST \
--url https://api.spherepay.co/v2/wallet \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"customerId": "customer_66c4168d418a410eae282b83883bdc39",
"network": "sol"
}
'import requests
url = "https://api.spherepay.co/v2/wallet"
payload = {
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"customerId": "customer_66c4168d418a410eae282b83883bdc39",
"network": "sol"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: '7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU',
customerId: 'customer_66c4168d418a410eae282b83883bdc39',
network: 'sol'
})
};
fetch('https://api.spherepay.co/v2/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU",
"created": "2025-01-01T00:00:00.000Z",
"customerId": "customer_66c4168d418a410eae282b83883bdc39",
"id": "wallet_ce745ef7f3df4b9a8bff1301ce24b045",
"network": "sol",
"updated": "2025-01-01T00:00:00.000Z"
}{
"code": "address/invalid",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Invalid request parameters",
"status": 400
}{
"code": "resource/not-found",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Resource not found",
"status": 404
}{
"code": "validation/failed",
"correlationId": "28c61e885c6e5eaa78c1a2183a9b883c",
"detail": "Validation failed",
"errors": [
{
"detail": "Invalid email format",
"pointer": "/email"
},
{
"detail": "Name is required",
"pointer": "/name"
}
],
"status": 422
}Registrar Billetera Cripto del Cliente para Transferencias
Create a new wallet and associate it with a customer.
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Cuerpo
The wallet address on the specified network. Must be a valid address format for the network.
1"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
The unique identifier of the customer who owns this wallet.
1"customer_66c4168d418a410eae282b83883bdc39"
The blockchain network for this wallet. Must be a supported crypto network.
arbitrum, avalanche, base, ethereum, polygon, sol, tron "sol"
Respuesta
The wallet address on the specified network.
"7xKXtg2CW87d97TXJSDpbD5jBkheTqA83TZRuJosgAsU"
The ISO 8601 timestamp when the wallet was created.
"2025-01-01T00:00:00.000Z"
The unique identifier of the customer who owns this wallet.
"customer_66c4168d418a410eae282b83883bdc39"
The unique identifier of the wallet.
"wallet_ce745ef7f3df4b9a8bff1301ce24b045"
The blockchain network for this wallet.
sol, fogo, ethereum, arbitrum, polygon, base, avalanche, sui, noble, sei, tron, starknet, aptos, hyperliquid "sol"
The ISO 8601 timestamp when the wallet was last updated.
"2025-01-01T00:00:00.000Z"